Endpoints for managing domains.
List domains
List all domains for the authenticated team.
query Parameters
expand[]Expand related resources.
querySearch query.
statusFilter by domain status.
active The domain is registered. |
failed There was a problem completing the registration or transfer. |
deleted The domain is deleted (either manually of because it was expired). |
requested The domain registration or transfer has been requested and is being processed. |
restorable The domain has been deleted at the registry but is still restorable by the user. |
active The domain is registered. |
failed There was a problem completing the registration or transfer. |
deleted The domain is deleted (either manually of because it was expired). |
requested The domain registration or transfer has been requested and is being processed. |
restorable The domain has been deleted at the registry but is still restorable by the user. |
sortSort by one or more fields. Available fields: domain, name, tld, renews_at, expires_at, id. Prefix fields with -` for descending order. Separate multiple fields (maximum 5) with commas.
Invalid fields are silently ignored. Case-insensitive.
pageper_pageSearch metadata key-value pairs. Only exact matches are supported.
List domains › Responses
Paginated set of Domain
List specific domains
Retrieve a specific list of domains by name or ID.
List specific domains › Request Body
domainsList of domain names or IDs to retrieve.
expandExpand related resources.
List specific domains › Responses
Array of Domain
Update a domain
Update properties of a single domain for the authenticated team.
Only the properties that are provided will be updated. If you omit a property it will not be changed.
path Parameters
domainNameOrIdfull domain name or ID
query Parameters
expand[]Expand related resources.
Update a domain › Request Body
is_lockedLock or unlock the domain. If the domain is locked, it cannot be transferred to another registrar. Note that not all domains support locking. If the domain does not support locking, the request will be rejected. Check the is_lockable property on the domain to see if it supports locking.
is_using_hosted_dnsCannot be enabled when also providing nameservers. Disable to revert to the default nameservers or provide nameservers instead to set your own.
is_autorenew_enabledEnabled or disables auto-renewal for the domain.
is_dnssec_enabledCan be used to disable DNSSEC for the domain. If you want to enable DNSSEC use dnssec_keys and provide at least one key.
is_whois_privacy_enabledEnable or disable WHOIS privacy for the domain. This is not supported by all TLDs, check supports_whois_privacy first before setting this attribute. If you disable WHOIS privacy the team's default contacts will be used for all handle types. Alternatively, you can provide contacts to set custom contacts for the domain which will also disable WHOIS privacy.
Cannot be provided together with contacts.
Map of contacts for the domain. Only the provided contact types will be updated, any omitted contact types will remain unchanged. When you provide contact handles that are not supported by the TLD they will be ignored.
If you want to reset all contacts to the team's default provide an empty object.
If WHOIS privacy is enabled for the domain it will be disabled.
Cannot be provided together with is_whois_privacy_enabled.
Optional metadata to attach to the domain. Metadata keys must be strings and cannot exceed 40 characters or contain [ or ] characters.
Metadata values must be strings and cannot exceed 500 characters.
A domain cannot have more than 50 metadata keys.
To remove a metadata key, set its value to an empty string.
To remove all metadata, set the metadata field to an empty object: {}.
Enable or disable DNSSEC for the domain. This is not supported by all TLDs, check supports_dnssec first before setting this attribute. If you enable DNSSEC you need to provide at least one DNSSEC key. To disable DNSSEC provide an empty array.
Cannot be provided together with is_dnssec_enabled.
Cannot be supplied together with is_using_hosted_dns. You need to provide at least two nameservers.
Update a domain › Responses
Domain
List domain activity
List all domain activities for a single domain for the authenticated team.
path Parameters
domainNameOrIdquery Parameters
expand[]Expand related resources.
eventFilter by one or more events. Separate multiple events with commas.
sortSort by one or more fields. Available fields: created_at, id. Prefix fields with - for descending order. Separate multiple fields (maximum 5) with commas.
Invalid fields are silently ignored. Case-insensitive.
cursorCursor for pagination.
per_pageList domain activity › Responses
Paginated set of DomainActivity
Show the auth-code
Retrieve the auth-code for a single domain for the authenticated team.
Some TLDs do not provide the auth-code to us but instead send it to the domain's registrant email address.
You can use the POST version of this endpoint to request the auth-code to be sent.
path Parameters
domainNameOrIdfull domain name or ID
Show the auth-code › Responses
Send the auth-code
Send the auth-code for a single domain for the authenticated team.
Some TLDs do not provide the auth-code to us but instead send it to the domain's registrant email address.
To retrieve the auth-code directly, use the GET version of this endpoint.
path Parameters
domainNameOrIdfull domain name or ID
Send the auth-code › Responses
Initiate a push transfer
Initiate a push transfer for a single domain for the authenticated team.
A push transfer changes the registrar tag of the domain to transfer it to another registrar.
This is only available for certain TLDs (like .uk) that support tag-based transfers.
The transfer is processed asynchronously. Once a transfer is requested you are unable to update the request unless the transfer fails or the new regisrar rejects the request. If more than 5 days passes without any action the transfer expires and can be retried.
path Parameters
domainNameOrIdfull domain name or ID
Initiate a push transfer › Request Body
recipient^[a-zA-Z0-9-]{2,16}$ · requiredThe registrar tag of the receiving registrar. Must be 2-16 characters, alphanumeric and hyphens only.
Initiate a push transfer › Responses
Domain